ShapeConverter (JavaFX 13)

Module javafx.graphics
Package javafx.css.converter

## Class ShapeConverter

- java.lang.Object
- - javafx.css.StyleConverter<String,​Shape>
  - - javafx.css.converter.ShapeConverter

-     public class ShapeConverter
      extends StyleConverter<String,​Shape>

  Converts an SVG shape string into a Shape object.
  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javafx.css.StyleConverter

      `StyleConverter.StringStore`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ShapeConverter()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `clearCache()` |
    `Shape` | `convert​(ParsedValue<String,​Shape> value, Font font)` | Convert from the parsed CSS value to the target property type.
    `static StyleConverter<String,​Shape>` | `getInstance()` |

    - ### Methods inherited from class javafx.css.StyleConverter

      `cacheValue, convert, getBooleanConverter, getCachedValue, getColorConverter, getDurationConverter, getEffectConverter, getEnumConverter, getFontConverter, getInsetsConverter, getPaintConverter, getSizeConverter, getStringConverter, getUrlConverter, readBinary, writeBinary`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShapeConverter

          public ShapeConverter()

  - ### Method Detail

    - #### getInstance

          public static StyleConverter<String,​Shape> getInstance()

    - #### convert

          public Shape convert​(ParsedValue<String,​Shape> value,
                               Font font)

      Description copied from class: `StyleConverter`
      Convert from the parsed CSS value to the target property type.
      Overrides:
        `convert` in class `StyleConverter<String,​Shape>`
      Parameters:
        `value` - The `ParsedValue` to convert
        `font` - The `Font` to use when converting a relative value.
      Returns:
        the converted target property type

    - #### clearCache

          public static void clearCache()